#
# spec file for package rubygem-pry-doc
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-pry-doc
Version:        0.13.3
Release:        lp152.4.3
%define mod_name pry-doc
%define mod_full_name %{mod_name}-%{version}
# MANUAL
BuildRequires:  etags
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/pry/pry-doc
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Provides YARD and extended documentation support for Pry
License:        MIT
Group:          Development/Languages/Ruby

%description
Pry Doc is a Pry REPL plugin. It provides extended documentation support for
the REPL by means of improving the `show-doc` and `show-source` commands. With help
of the plugin the commands are be able to display the source code and the docs
of Ruby methods and classes implemented in C. 
%prep

%build

%install
%gem_install \
  --no-rdoc --no-ri \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f
# MANUAL
rm -r %{buildroot}%{_libdir}/ruby/gems/*/gems/%{mod_name}-%{version}/libexec
# /MANUAL

%gem_packages

%changelog
* Tue Mar 13 2018 coolo@suse.com
- remove precompiled binaries
* Sun Mar  4 2018 factory-auto@kulow.org
- updated to version 0.13.3
  see installed CHANGELOG.md
* Fri Feb 16 2018 factory-auto@kulow.org
- updated to version 0.13.1
  see installed CHANGELOG.md
* Thu Feb 15 2018 factory-auto@kulow.org
- updated to version 0.13.0
  see installed CHANGELOG.md
* Thu Feb  8 2018 coolo@suse.com
- updated to version 0.12.0
  see installed CHANGELOG.md
  [#]## [v0.12.0][v0.12.0] (January 21, 2018)
  * Added suport for Ruby 2.5 docs ([#75](https://github.com/pry/pry-doc/pull/75))
* Mon Sep 11 2017 coolo@suse.com
- updated to version 0.11.1
  see installed CHANGELOG.md
  [#]## [v0.11.1][v0.11.1] (August 8, 2017)
  * Specified minimum required Ruby version in the gemspec
    ([#70](https://github.com/pry/pry-doc/pull/70))
  [#]## [v0.11.0][v0.11.0] (August 8, 2017)
  * **IMPORTANT:** Drop support for Ruby 1.9.3
    ([#68](https://github.com/pry/pry-doc/pull/68))
  * Stopped raising exception when Pry Doc doesn't support current Ruby version
    (we print a warning instead) ([#65](https://github.com/pry/pry-doc/pull/65))
* Sun Jan  1 2017 coolo@suse.com
- updated to version 0.10.0
  see installed CHANGELOG.md
  [#]## [v0.10.0][v0.10.0] (December 31, 2016)
  * Added support for Ruby 2.4 docs
    ([#46](https://github.com/pry/pry-doc/pull/46))
* Fri Jul  1 2016 coolo@suse.com
- updated to version 0.9.0
  see installed CHANGELOG.md
  [#]## master
  [#]## [v0.9.0][v0.9.0] (June 30, 2016)
  * **Important:** Added support for Ruby 2.3 docs
    ([#35](https://github.com/pry/pry-doc/pull/35))
  * Warn when Pry Doc doesn't support current Ruby version
    ([#31](https://github.com/pry/pry-doc/pull/31))
* Mon Jun 15 2015 coolo@suse.com
- updated to version 0.8.0
  see installed CHANGELOG.md
  [#]## v0.8.0 (June 14, 2015)
  * Reverted to 0.6.0 approach for packaging Ruby core docs.
  * Generated docs for Ruby 2.2
  [#]## v0.7.0 (April 1, 2014)
  * 0.7.0 tried a new approach to packaging Ruby core docs, which turned out to
    have issues with cross-version compatibility. It's since been yanked.
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Fri Mar 21 2014 coolo@suse.com
- updated to version 0.6.0
  * **Important:** dropped Ruby 1.8.7 support.
  * Fixed (sort of [#19](https://github.com/pry/pry-doc/pull/19)) "Scanning and caching *.c files..." for show-doc Kernel.is_a?
  * Rescanned docs for Ruby 2.0 (based on patchlevel 484)
  * Rescanned docs for Ruby 2.1
  * Removed the gem certificate
* Sun Jan  5 2014 coolo@suse.com
- updated to version 0.5.1
  * **Important:** previous version `v0.5.0` does _not_ support Ruby 2.1.0. This
  version does!
  * Pry Doc has a logo now (embedded in the README)
* Tue Jul 30 2013 coolo@suse.com
- updated to version 0.4.6
  * Added new docs for Ruby 1.9 and Ruby 2.0. For example, now you can execute
    `pry-doc BigDecimal` and feel a little bit more happy.
  * Fixed error message when trying to `show-doc` non-module singleton methods (like
    top-level methods `include`, `private`, `public`, etc.)
  [#]## v0.4.5 (March 21, 2013)
  * **Important:** updated YARD gem dependency to loose `0.8` version. It is a
    known fact that YARD `v0.8.4` [does not work with Pry Doc][yard648].
  * Removed a bunch of old and unused metafiles
  * Added docs for Ruby 2.0 (based on patchlevel 0)
  * Rescanned docs for Ruby 1.9 (based on patchlevel 392)
  * Rescanned docs for Ruby 1.8 (based on patchlevel 370)
  * Implicitly fixed `show-doc require_relative` to the new rescan of 1.9 docs
  * Signed the gem with a cryptographic signature
* Sun Jul 29 2012 coolo@suse.com
- update to 0.4.4, no upstream changelog
* Fri Jun 29 2012 coolo@suse.com
- fix previous fix
* Fri Apr 13 2012 saschpe@suse.de
- Update to version 0.4.1
- Fix world-writable file permissions
* Thu Sep 15 2011 mrueckert@suse.de
- update to 0.3.0
- dont build the doc subpackage anymore
* Wed Apr 27 2011 mrueckert@suse.de
- make sure we dont get world writable files
* Tue Apr 26 2011 mrueckert@suse.de
- initial package (v0.2.1)
